this.name			= "SIRF_bounty_script";
this.author			= "Montana05";
this.description	= "resets accidental bounties caused by the model";
this.version		= "1.00";
this.copyright		= "2021 Montana05";
this.licence   		= "CC BY-NC-SA 4.0";
"use strict";

// resets accidental bounties caused by the model

this.shipAttackedOther = function(other)
{
    if(this.ship.bounty > 0)
	{
		if(ship && ship.isValid)
		{
			this.ship.bounty = 0;
			this.ship.setBounty(0, "friendly fire");
		};

		if(other && other.isValid)
		{
			other.target = null;
			other.reactToAIMessage("TARGET_LOST");
			other.removeDefenseTarget(this.ship);
		};
	};		
};

this.shipBeingAttackedUnsuccessfully = function(whom)
{
	if(this.ship.bounty > 0 && whom.isPolice)
	{	
		if(whom && whom.isValid && ship && ship.isValid)
		{
			whom.target = null;
			whom.reactToAIMessage("TARGET_LOST");
			whom.removeDefenseTarget(this.ship);

			this.ship.target = null;
			this.ship.reactToAIMessage("TARGET_LOST");
			this.ship.removeDefenseTarget(whom);

			this.ship.bounty = 0;
			this.ship.setBounty(0, "friendly fire");
		};
	};	
};

this.shipBeingAttacked = function(whom)
{
	if(this.ship.bounty > 0 && whom.isPolice)
	{	
		if(whom && whom.isValid && ship && ship.isValid)
		{
			whom.target = null;
			whom.reactToAIMessage("TARGET_LOST");
			whom.removeDefenseTarget(this.ship);

			this.ship.target = null;
			this.ship.reactToAIMessage("TARGET_LOST");
			this.ship.removeDefenseTarget(whom);

			this.ship.bounty = 0;
			this.ship.setBounty(0, "friendly fire");
		};
	};	
};

this.shipAttackedWithMissile = function(missile, whom)
{
    if(this.ship.bounty > 0 && whom.isPolice)
	{	
		if(whom && whom.isValid && ship && ship.isValid)
		{
			whom.target = null;
			whom.reactToAIMessage("TARGET_LOST");
			whom.removeDefenseTarget(this.ship);

			this.ship.target = null;
			this.ship.reactToAIMessage("TARGET_LOST");
			this.ship.removeDefenseTarget(whom);

			this.ship.bounty = 0;
			this.ship.setBounty(0, "friendly fire");
		};
	};
};
